How to Upgrade to Magento 2.3: Command-line upgrade

Magento 2.3 Upgrade Requirements You must meet the requirements to install/upgrade Magento 2.3. 1, Operating systems, Web servers, Database and php To install Magento 2.3, you need a Linux-based operating system (Linux x86-64), such as RedHat Enterprise Linux (RHEL), CentOS, Ubuntu, Debian, and similar. Also, the Web servers for Magento 2.3 is either Apache 2.2/2.4 or nginx 1.x. For the Database, Magento 2.3 is compatible with MySQL 5.6 or 5.7, MySQL NDB Cluster